Get competitive positioning data
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/competitive/position \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/competitive/position"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/competitive/position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"timeSeries": [
{
"date": "2023-12-25",
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123
}
],
"totals": {
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123,
"total": 123,
"primaryShare": 50,
"primaryShareOfAllCitations": 50,
"shareOfVoice": 50
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get competitive positioning data
Returns citation comparison between primary, competitor, and other sources over time for a fixed rolling window. The default includes only currently active project platforms.
GET
/
projects
/
{projectId}
/
competitive
/
position
Get competitive positioning data
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Fixed rolling window in days. Supported values are 30 and 90. Defaults to 30.
Available options:
30, 90 Available options:
daily, weekly, monthly Allow a requested inactive platform to return historical data. Defaults to false.